com.jogamp.newt.event

## Enum MouseEvent.PointerType

- java.lang.Object
- - java.lang.Enum<MouseEvent.PointerType>
  - - com.jogamp.newt.event.MouseEvent.PointerType

- All Implemented Interfaces:
    InputEvent.InputType, Serializable, Comparable<MouseEvent.PointerType>
  Enclosing class:
    MouseEvent

      public static enum MouseEvent.PointerType
      extends Enum<MouseEvent.PointerType>
      implements InputEvent.InputType

  Type of pointer devices

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Mouse` `MouseEvent.PointerClass.Offscreen` mouse.
    `Pen` `MouseEvent.PointerClass.Onscreen` pen usually on screen? Ordinal 3.
    `TouchPad` `MouseEvent.PointerClass.Offscreen` touch pad, usually using fingers.
    `TouchScreen` `MouseEvent.PointerClass.Onscreen` touch screen, usually using fingers.
    `Undefined` `MouseEvent.PointerClass.Undefined` ?.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MouseEvent.PointerClass` | `getPointerClass()`
    `static MouseEvent.PointerType` | `valueOf(int ordinal)` Returns the matching PointerType value corresponding to the given PointerType's integer ordinal.
    `static MouseEvent.PointerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MouseEvent.PointerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `static MouseEvent.PointerType[]` | `valuesOf(int[] ordinals)` Returns the PointerType array of matching PointerType values corresponding to the given PointerType's integer ordinal values.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Mouse

          public static final MouseEvent.PointerType Mouse

      `MouseEvent.PointerClass.Offscreen` mouse. Ordinal 0.

    - #### TouchPad

          public static final MouseEvent.PointerType TouchPad

      `MouseEvent.PointerClass.Offscreen` touch pad, usually using fingers. Ordinal 1.

    - #### TouchScreen

          public static final MouseEvent.PointerType TouchScreen

      `MouseEvent.PointerClass.Onscreen` touch screen, usually using fingers. Ordinal 2.

    - #### Pen

          public static final MouseEvent.PointerType Pen

      `MouseEvent.PointerClass.Onscreen` pen usually on screen? Ordinal 3. FIXME

    - #### Undefined

          public static final MouseEvent.PointerType Undefined

      `MouseEvent.PointerClass.Undefined` ?. Ordinal 4.

  - ### Method Detail

    - #### values

          public static MouseEvent.PointerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MouseEvent.PointerType c : MouseEvent.PointerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MouseEvent.PointerType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPointerClass

          public MouseEvent.PointerClass getPointerClass()

    - #### valueOf

          public static MouseEvent.PointerType valueOf(int ordinal)
                                                throws IllegalArgumentException

      Returns the matching PointerType value corresponding to the given PointerType's integer ordinal.

             given:
               ordinal = enumValue.ordinal()
             reverse:
               enumValue = EnumClass.values()[ordinal]

      Throws:
        `IllegalArgumentException` - if the given ordinal is out of range, i.e. not within [ 0 .. PointerType.values().length-1 ]

    - #### valuesOf

          public static MouseEvent.PointerType[] valuesOf(int[] ordinals)
                                                   throws IllegalArgumentException

      Returns the PointerType array of matching PointerType values corresponding to the given PointerType's integer ordinal values.

      See `valueOf(int)`.

      Throws:
        `IllegalArgumentException` - if one of the given ordinal values is out of range, i.e. not within [ 0 .. PointerType.values().length-1 ]

Copyright 2010 JogAmp Community.